Database

API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

GET
/databases/{uuid}

Get database by UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the database.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/databases/string"
{  "uuid": "string",  "name": "string",  "description": "string",  "database_type": "standalone-postgresql",  "image": "string",  "status": "string",  "server_status": true,  "environment_id": 0,  "environment": {    "id": 0,    "name": "string",    "project_id": 0,    "created_at": "string",    "updated_at": "string",    "description": "string"  },  "destination_id": 0,  "destination_type": "string",  "destination": {    "uuid": "string",    "name": "string",    "network": "string",    "server_id": 0,    "server": {      "id": 0,      "uuid": "string",      "name": "string",      "description": "string",      "ip": "string",      "user": "string",      "port": 0,      "proxy": {},      "proxy_type": "traefik",      "high_disk_usage_notification_sent": true,      "unreachable_notification_sent": true,      "unreachable_count": 0,      "validation_logs": "string",      "log_drain_notification_sent": true,      "swarm_cluster": "string",      "settings": {        "id": 0,        "concurrent_builds": 0,        "deployment_queue_limit": 0,        "backup_compression_cpu_percentage": 0,        "dynamic_timeout": 0,        "force_disabled": true,        "force_server_cleanup": true,        "server_role": "deployment",        "is_build_server": true,        "is_cloudflare_tunnel": true,        "is_jump_server": true,        "is_logdrain_axiom_enabled": true,        "is_logdrain_cloudwatch_enabled": true,        "is_logdrain_custom_enabled": true,        "is_logdrain_highlight_enabled": true,        "is_logdrain_newrelic_enabled": true,        "is_metrics_enabled": true,        "is_traffic_analytics_enabled": true,        "traffic_topn": 0,        "traffic_sample_threshold": 0,        "traffic_retention_1h_days": 0,        "traffic_retention_1d_days": 0,        "is_geoip_enabled": true,        "geoip_refresh_days": 0,        "traffic_ip_mode": "full",        "traefik_certificate_resolver": "string",        "is_reachable": true,        "is_sentinel_enabled": true,        "is_swarm_manager": true,        "is_swarm_worker": true,        "is_terminal_enabled": true,        "is_usable": true,        "logdrain_axiom_api_key": "string",        "logdrain_axiom_dataset_name": "string",        "logdrain_axiom_domain": "string",        "logdrain_cloudwatch_region": "string",        "logdrain_cloudwatch_group": "string",        "logdrain_cloudwatch_stream_prefix": "string",        "logdrain_custom_config": "string",        "logdrain_custom_config_parser": "string",        "logdrain_highlight_project_id": "string",        "logdrain_newrelic_base_uri": "string",        "logdrain_newrelic_license_key": "string",        "sentinel_metrics_history_days": 0,        "sentinel_metrics_refresh_rate_seconds": 0,        "sentinel_token": "string",        "docker_cleanup_frequency": "string",        "docker_cleanup_threshold": 0,        "server_id": 0,        "wildcard_domain": "string",        "created_at": "string",        "updated_at": "string",        "delete_unused_volumes": true,        "delete_unused_networks": true,        "connection_timeout": 0,        "docker_version": "string",        "docker_version_checked_at": "string",        "compose_version": "string",        "compose_version_checked_at": "string"      }    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "is_public": true,  "public_port": 0,  "public_port_timeout": 0,  "ports_mappings": "string",  "enable_ssl": true,  "ssl_mode": "string",  "internal_db_url": "string",  "external_db_url": "string",  "init_scripts": [    {      "index": 0,      "filename": "string",      "content": "string"    }  ],  "custom_docker_run_options": "string",  "is_log_drain_enabled": true,  "is_include_timestamps": true,  "include_coolify_default_variables": true,  "redact_all_env_values_in_logs": true,  "health_check_enabled": true,  "health_check_interval": 0,  "health_check_timeout": 0,  "health_check_retries": 0,  "health_check_start_period": 0,  "limits_memory": "string",  "limits_memory_swap": "string",  "limits_memory_swappiness": 0,  "limits_memory_reservation": "string",  "limits_cpus": "string",  "limits_cpuset": "string",  "limits_cpu_shares": 0,  "config_hash": "string",  "restart_count": 0,  "last_restart_at": "2019-08-24T14:15:22Z",  "last_restart_type": "string",  "last_online_at": "string",  "started_at": "2019-08-24T14:15:22Z",  "backup_configs": [    {}  ],  "postgres_user": "string",  "postgres_password": "pa$$word",  "postgres_db": "string",  "postgres_initdb_args": "string",  "postgres_host_auth_method": "string",  "postgres_conf": "string",  "redis_password": "pa$$word",  "redis_conf": "string",  "mongo_initdb_root_username": "string",  "mongo_initdb_root_password": "pa$$word",  "mongo_initdb_database": "string",  "mongo_conf": "string",  "mysql_user": "string",  "mysql_password": "pa$$word",  "mysql_root_password": "pa$$word",  "mysql_database": "string",  "mysql_conf": "string",  "mariadb_user": "string",  "mariadb_password": "pa$$word",  "mariadb_root_password": "pa$$word",  "mariadb_database": "string",  "mariadb_conf": "string",  "keydb_password": "pa$$word",  "keydb_conf": "string",  "dragonfly_password": "pa$$word",  "clickhouse_admin_user": "string",  "clickhouse_admin_password": "pa$$word",  "clickhouse_db": "string",  "sqlite_databases": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "deleted_at": "2019-08-24T14:15:22Z"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}